Status: Closed   

Priority: Normal   

Category:    

Customer: DAIMLER Product Issue

Numbers:

 

Department:  Affected Products: ADTF 3.10.0

Requester's Priority: Blocker Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::UI

Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

I would like to know which ADTF version Support Qt6.

If none of version Support QT6 then what is latest version of Qt supported by ADTF and which version of ADTF.

Lösung

The latest ADTF 3.10 uses Qt 5.12.9, see https://support.digitalwerk.net/adtf/v3/adtf_html/page_external_dependencies.html.

We are working on migrating to Qt 5.15.2 but facing issues currently and have to wait to change our whole toolchain to VS2019

VC142.

Support for Qt 6.x is currently not possible because it is not binary compatible to Qt 5.x so we have to stay on Qt 5.x (Qt 5.15.2 will

be the last provided open source LTS).

So there is no requirement for Qt 6 support at the moment.

Maybe it will be possible when we seperate the ADTF delivery in smaller packages (headless. ui, tools) so we can provide an

alternate toolchain using an new adtf ui package / XSystem with Qt 6 support for newer developed adtfplugins (adtfplugins with Qt 5

are not compatible as mentioned).

But this will be a discussion with customer forum in upcoming years...

History

#1 - 2021-01-15 15:05 - hidden

- Project changed from Public Support to 9

- Status changed from New to In Progress

- Topic set to ADTF::UI

- Customer set to DAIMLER

- Affected Products ADTF 3.10.0 added

- Affected Products deleted (ADTF 3.9.1)

- Platform Windows 10 64bit added

- Platform deleted (Windows 7 64bit)

#2 - 2021-01-15 17:58 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Anil,

the latest ADTF 3.10 uses Qt 5.12.9, see https://support.digitalwerk.net/adtf/v3/adtf_html/page_external_dependencies.html.

We are working on migrating to Qt 5.15.2 but facing issues currently and have to wait to change our whole toolchain to VS2019 VC142.

Support for Qt 6.x is currently not possible because it is not binary compatible to Qt 5.x so we have to stay on Qt 5.x (Qt 5.15.2 will be the last

provided open source LTS).

So there is no requirement for Qt 6 support at the moment.
Maybe it will be possible when we seperate the ADTF delivery in smaller packages (headless. ui, tools) so we can provide an alternate toolchain

using an new adtf ui package / XSystem with Qt 6 support for newer developed adtfplugins (adtfplugins with Qt 5 are not compatible as mentioned).

But this will be a discussion with customer forum in upcoming years...

#3 - 2021-01-28 09:39 - hidden

- Project changed from 9 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#5 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
